% This is a "master" script where parameter ranges are set 
% A PARFOR loop must be contained (otherwise runnign it on the cluster 
% does not make sense) 

% Go to directory, where data to be processed is stored (comment on your 
% local machine)  
%cd /data/work/fk5/ifp/agmediphys/puab8103 

% look for audio files in subdirectory "audioData"
% Note that relative paths might be useful... 
filenames = dir('./audioData/*.wav');

% Start parfor loop, here index denotes number of file
parfor IDXfile = 1:length(filenames)
    % All inside here happens exclusively on the workers
    
    % load a signal according to index
   [sig p] = wavread(fullfile('audioData',filenames(IDXfile).name));
   
   % Do some processing...
   sig2 = resample(sig,2,1);
   p2 = 2*p;
   pause(5)
   % Store signal, note that the usuall matlab save command is not
   % applicable in parfor loops, thus a wrapper must be used, e.g. parsave
   parsave(fullfile('results',[num2str(IDXfile) '_processed']),sig,sig2,p,p2)
   
end

% 28. July 2014
% hendrik.kayser@uni-oldenburg.de
